Skip to main content
POST
/
campaigns
/
{parent_campaign_id}
/
executions
curl --request POST \ --url https://api-{dc}.moengage.com/core-services/v1/campaigns/{parent_campaign_id}/executions \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --header 'MOE-APPKEY: <moe-appkey>' \ --data ' { "request_id": "child_req_12345", "page": 1, "limit": 15 } '
{
  "executions": [
    {
      "campaign_id": "camp_child_001",
      "sent_time": "2024-06-24T14:30:18.908000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_002",
      "sent_time": "2024-06-24T15:27:45.971000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_003",
      "sent_time": "2024-06-24T15:47:43.528000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_004",
      "sent_time": "2024-06-24T15:54:26.254000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_005",
      "sent_time": "2024-06-24T16:35:01.834000",
      "status": "Sending"
    }
  ],
  "total_instances": 8
}
Information Retrieved
  • Child campaign IDs
  • Sent time for each execution
  • Status of each child campaign
  • Total number of times the parent campaign has been executed
Supported Campaign Types
  • Periodic Campaigns (Email and Push)
  • Business Event-triggered Campaigns (Email and Push)
Important Information
  • You can only retrieve child campaigns for campaigns created via the API (Create Email Campaigns API or Create Push Campaigns API)
  • This endpoint is only applicable for Periodic and Business Event-triggered campaigns
  • Results are paginated with a maximum of 15 children per page
Use this endpoint to track execution history of recurring campaigns and monitor the performance of individual instances.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. The username is your Workspace ID (earlier APP ID) and the password is your API Key. The value is a base64 encoding of 'username:password'.

How to obtain credentials:

  1. Navigate to SettingsAccountAPIs in the MoEngage Dashboard
  2. Username: Copy the Workspace ID (earlier app id)
  3. Password: Copy the API key from the Campaign report/Business events/Custom templates tile

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace.

You can find your MoEngage Workspace ID in the MoEngage Dashboard: SettingsAccountAPIsWorkspace ID (earlier app id)

Path Parameters

parent_campaign_id
string
required

The unique ID of the parent campaign (Periodic or Business Event-triggered).

You can fetch the parent campaign ID using the Search Campaigns API.

Body

application/json

Pagination parameters for retrieving child campaign executions.

Request to retrieve child campaign execution details.

request_id
string
required

A unique identifier for this child campaigns retrieval request.

Example:

"child_req_12345"

limit
integer
required

The number of child campaigns to display per page.

Maximum: 15

Required range: 1 <= x <= 15
Example:

15

page
integer
required

The page number to retrieve.

For example, if there are 100 child campaigns and limit is 10, there will be 10 pages.

Required range: x >= 1
Example:

1

Response

Successfully retrieved child campaign execution details

Response containing child campaign execution details.

executions
object[]

Array of child campaign execution details.

total_instances
integer

The total number of times the parent campaign has been executed.

Example:

8